using System.Runtime.InteropServices;

namespace Decal.Interop.Controls;

[ClassInterface(ClassInterfaceType.None)]
[TypeLibType(TypeLibTypeFlags.FHidden)]
public sealed class IScrollerEvents_SinkHelper : IScrollerEvents
{
	public IScrollerEvents_DestroyEventHandler m_DestroyDelegate;

	public IScrollerEvents_ChangeEventHandler m_ChangeDelegate;

	public int m_dwCookie;

	public void Destroy(int P_0)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_DestroyDelegate != null)
		{
			m_DestroyDelegate(P_0);
		}
	}

	public void Change(int P_0, int P_1, int P_2)
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		if (m_ChangeDelegate != null)
		{
			m_ChangeDelegate(P_0, P_1, P_2);
		}
	}

	internal IScrollerEvents_SinkHelper()
	{
		//Error decoding local variables: Signature type sequence must have at least one element.
		m_dwCookie = 0;
		m_DestroyDelegate = null;
		m_ChangeDelegate = null;
	}
}
